
Redmine - Feature #9715
Update issue done ratio from commit message
2011-12-02 19:47 - Colin Mollenhour

Status: New Start date:
Priority: Normal Due date:
Assignee: % Done: 70%
Category: Issues Estimated time: 0.00 hour
Target version:
Resolution:
Description

Redmine already supports "fixing" issues which updates done ratio to 100% and closes the ticket, but I'd like to also be able to update
the done ratio and status in other cases as well. The status would be set to a configured status (e.g. "In Progress" in my case) and the
done ratio updated and the issue journal updated with a note including the full commit message.

Proposed syntax is @X% so it is consistent with time logging but does not conflict. It must come after the issue ref and before the time
logging.

The issue note is added regardless of if the issue progress or status was changed. That is, if a done ratio is given the issue gets a
note unless the issue was previously closed in which case there is no additional action. This way the person committing knows that
unless the issue is closed it will get updated.

I'm working on a patch that adds the feature. Thoughts?

Examples:

    -  Refs #123 @90% @2h30m
    -  Refs #123 @50%, Refs #234 @1:15
    -  Issue #123 @40% @2h30m, Fixes #234

History
#1 - 2011-12-02 20:33 - Colin Mollenhour
- File redmine-9715.diff added
- % Done changed from 0 to 70

Patch was pretty simple, currently only lacking making the status to update to configurable. I updated the regexes to use non-capturing groups unless a
capture was actually needed.

#2 - 2011-12-05 02:44 - Mischa The Evil

This was once included in the patches provided to integrate the commit message spent-time entry parsing into the core as part of #1518, which was
dropped justified in favor of #4155 which only omitted the done ratio update functionality.

#3 - 2012-03-15 17:24 - Thimios Dimopulos

Is there a possibility to implement updating the done ratio through a commit message?
#4 - 2013-11-19 14:29 - David Turbert

please up for this feature

Files
redmine-9715.diff 3.13 KB 2011-12-02 Colin Mollenhour
